package com.muyu.domain;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.segments.MergeSegments;
import com.muyu.domain.resp.ActivityTeamInfoResp;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.w3c.dom.Text;

import java.util.Date;

/**
 * @Author：cuifubo
 * @Package：com.muyu.domain
 * @Project：cloud-server
 * @name：ActivityTeaminfo
 * @Date：2024.11.19 09:25
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfo extends Wrapper<ActivityTeamInfo> {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Integer productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动介绍
     */
    private Text introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private Text imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private String sort;
    /**
     * 活动详情
     */
    private Text content;
    /**
     *  活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Integer strategyId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人
     */
    private String updateBy;
    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 查询构造器
     */
    public static ActivityTeamInfo queryBuild(ActivityTeamInfoResp activityTeamInfoResp){
        return ActivityTeamInfo.builder()
                .name(activityTeamInfoResp.getName())
                .status(activityTeamInfoResp.getStatus())
                .build();
    }


    @Override
    public ActivityTeamInfo getEntity() {
        return null;
    }

    @Override
    public MergeSegments getExpression() {
        return null;
    }

    @Override
    public void clear() {

    }

    @Override
    public String getSqlSegment() {
        return null;
    }
}
