package com.muyu.controller;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.domain.ActivityTeamInfo;
import com.muyu.domain.resp.ActivityTeamInfoResp;
import com.muyu.service.ActivityService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.naming.ldap.PagedResultsControl;
import java.util.List;

import static com.muyu.common.core.utils.PageUtils.startPage;

/**
 * @Author：cuifubo
 * @Package：com.muyu.controller
 * @Project：cloud-server
 * @name：ActivityController
 * @Date：2024.11.19 09:58
 */
@RestController
@RequestMapping("/activity")
public class ActivityController {
    @Autowired
    private ActivityService activityService;

    /**
     * 查询商品拼团信息表列表
     */
    @ApiOperation("获取商品拼团信息表列表")
    @RequiresPermissions("activity:activity:list")
    @GetMapping("/list")
    public Result<TableDataInfo<ActivityTeamInfo>> list(ActivityTeamInfoResp activityTeamInfoResp) {
        startPage();
        List<ActivityTeamInfo> list = activityService.list(ActivityTeamInfo.queryBuild(activityTeamInfoResp));
        return getDataTable(list);
    }






    private Result<TableDataInfo<ActivityTeamInfo>> getDataTable(List<ActivityTeamInfo> list) {

        return null;
    }


}
